% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-params.R
\name{resolve_label_sizes}
\alias{resolve_label_sizes}
\title{Resolve Label Sizes}
\usage{
resolve_label_sizes(label_size, node_size_usr, n, scaling = "default")
}
\arguments{
\item{label_size}{User-specified label size(s) or NULL.}

\item{node_size_usr}{Node sizes in user coordinates (for legacy coupled mode).}

\item{n}{Number of nodes.}

\item{scaling}{Scaling mode: "default" or "legacy".}
}
\value{
Vector of label sizes (cex values).
}
\description{
Determines label sizes, either independent (new default) or coupled to node size (legacy).
}
\keyword{internal}
